Bug 3431 - Non-existent ide device erroneously "detected" on slave port of first ide
Non-existent ide device erroneously "detected" on slave port of fir...
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1999-06-13 09:53 EDT by Eric Maryniak
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-07-06 16:13:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Maryniak 1999-06-13 09:53:55 EDT
When booting with the Red Hat 6.0 floppy, the first
and second IDE controller (ide0 and ide1) are properly
detected and both my IDE disks (/dev/hda with Win98,
/dev/hdc with Linux), too, as well as the slave Atapi
CDROM on the second IDE (/dev/hdd).
However, it also erroneously "detects" a "non-IDE"
device on /dev/hdb (slave on first IDE): I have no
device physically or logically (BIOS) attached on the
slave port of the first IDE. The errors are (Alt-F2):

"<4>hdb: non-IDE drive, CHS=621/128/63"

And when in disk druid/fdisk:

"An error occured reading the partition table for the
 block device /tmp/hdb. The error was: Device not

It does not seem to influence the installation process
and operations after installation, although the "<3>"
error keeps popping up after installation and after
baking a new kernel.
Comment 1 Jay Turner 1999-06-14 13:39:59 EDT
What brand of motherboard is this that is having these problems.
Also, verify that you have the slace device on the ide0 chain set to
"none" in the BIOS.
Comment 2 Eric Maryniak 1999-06-14 16:46:59 EDT
Motherboard:   Intel "Advanced/ZP Baby-AT Board" (says on the cover)
  with a 82371FB PCI ISA/IDE Accelerator (PIIX) and 83437FX Pentium
  PCI bridge (Triton). Ordinary Pentium @ 75 MHz, 32 Mb edo ram.
Yes, when I enter the setup of the BIOS:
  Primary   IDE Master: ST5180A
  Primary   IDE Slave : Not Installed
  Secondary IDE Master: QUANTUM FIREBALL_T
  Secondary IDE Slave : GCD-R540C
And when ordinarily booting, only the these three devices are
listed on the screen.
Comment 3 David Lawrence 1999-07-01 15:40:59 EDT
We do not have that particular board in the lab and also have not
noticed this type of behavior with other boards. Just curious, does
this still occur if you completely clear the CMOS and choose BIOS
defaults without performance enhancements?
Comment 4 Eric Maryniak 1999-07-02 04:07:59 EDT
Thanks for your answer, but i'm sorry, i'm somewhat reluctant to
clear the CMOS etc. As said, the "error" seems harmless; and i still
don't understand why during BIOS bootup the "ghost drive" does not
show up, and Windows 98 also does not mention or complain about it.
I think it has to do with, and i agree it is not common, the fact
that the slave is on the second ide ctrl and the first does not have
a slave. I reported this error(?) cuz i thought it might signify
something. I wouldn't mind if this bug is closed.
Comment 5 David Lawrence 1999-07-06 16:13:59 EDT
If you can try typing at the LILO boot: prompt

linux hdb=noprobe

and see if kernel still reports the drive being detected. If it helps
then add to your /etc/lilo.conf file in the linux section


and rerun /sbin/lilo before rebooting.

Note You need to log in before you can comment on or make changes to this bug.